/** General **/

body {
    margin: 0 auto;
    font-family: 'Noto Sans JP', sans-serif;
    position: relative;
}

.wrapper {
    margin: 0 auto 0;
    max-width: 1200px;
    min-height: calc(100vh - 140px);
    padding: 0 15px 50px;
}

.fit {
    position: relative;
}

.footer{
    background: #ededed;
    margin-top: 0;
    padding: 3px 0;
    text-align: center;
    width: 100%;
}

/** Header **/

.header {
    margin: 2% auto 0;
    max-width: 1200px;
}

.logo {
    padding: 30px;
}

.logo {
    padding: 15px 30px;
}

@media screen and (max-width: 1030px) {
    .header {
        background: #ffffff;
        bottom: 0;
        left: 0;
        position: fixed;
        width: 100%;
        z-index: 10;
    }

    .logo {
        padding: 30px 
    }
}

/** TOP **/

.flex-top {
    display: flex;
    flex-flow: row-reverse;
    justify-content: space-between;
    margin-top: 50px;
}

.flex-top-video {
   margin: 0 15px;
   width: 65%;
}

.flex-top-category {
    display: flex;
    flex-wrap: wrap;
    margin: 0 20px;
    width: 30%;
}

.cat-item {
    display: block;
    margin: 10px;
}

.menu-icon:hover{
    transform: scale(0.95);
    transition: 0.2s;
}

.cat-item img {
    max-width: 150px;
    width: 100%;
}

@media screen and (max-width: 1185px) {

    .cat-item img {
        max-width: 120px;
        width: 100%;
    }

  }

@media screen and (max-width: 1025px) {

.flex-top {
    align-items: center;
    flex-direction: column;
    justify-content: center;
    margin: 15px auto;
    max-width: 600px;
}

.flex-top-video {
    width: 100%;
    }
    
    .flex-top-category {
        margin-left: auto;
        margin-right: auto;
        margin-top: 30px;
        width: 480px;
    }

    .cat-item img {
        max-width: 140px;
        width: 100%;
    }

    .footer {
        padding-bottom: 100px;
    }
}

@media screen and (max-width: 650px) {

    img.logo {
        padding: 15px 30px;
        width: 150px;
    }

    .cat-item img {
        max-width: 120px;
        width: 100%;
    }

    .flex-top {
        margin: 15px auto;
    }

    .flex-top-category {
        margin: 30px auto;
        max-width: 420px;
    }

    .footer-txt {
        font-size: 12px;
    }

    .footer {
        padding-bottom: 60px;
    }

}

@media screen and (max-width: 525px) {
    .flex-top-category {
        margin: 30px auto;
        width: 290px;
    }
}

@media screen and (max-width: 375px) {
    .cat-item {
        margin: 5px 10px;
    }
    .flex-top-category {
        margin: 5px auto;
    }
}

/** Products category items **/

.return-btn {
    background-color: rgb(80, 80, 80);
    border-radius: 5px;
    color: white;
    display: block;
    font-size: 18px;
    padding: 5px 10px 5px 30px;
    position: fixed;
    text-align: center;
    text-decoration: none;
    width: 100px;
    z-index: 15;
}

.return-btn::before {
    background-image: url(../img/next-button.png);
    background-size: contain;
    content: "";
    height: 25px;
    left: 20px;
    position: absolute;
    top: 6px;
    width: 25px;
}

.return-btn:hover {
    background-color: #E73316;
}

.product-container {
    margin: 50px auto;
}  

.product-heading {
    align-items: center;
    display: flex;
}

.product-heading img {
    margin: 0 30px;
    max-width: 100px;
}

.product-heading h2 {
    color: #E73316;
    font-family: 'Russo One', sans-serif;
    font-size: 40px;
    font-weight: 700;
}

.product-flex {
    display: flex;
    flex-wrap: wrap;
}

.product-item {
    margin: 10px 0;
    text-align: center;
}

.product-item img {
    width: 100%;
}

.product-item img:hover {
    transform: scale(0.9);
    transition: 0.5;
}

.product-name {
    font-size: 20px;
    font-weight: bold;
    margin-top: 0;
}

@media screen and (max-width: 1199px) {
    .product-container {
        margin: 5% auto;
        max-width: 768px;
    }
    .product-item {
        max-width: 380px;
    }
}

@media screen and (max-width: 799px) {
    .product-container {
        max-width: 594px;
    }
    .product-item {
        max-width: 295px;
    }
}

@media screen and (max-width: 640px) {
    .product-container {
        margin: 15px auto;
        max-width: 400px;
    }

    .product-heading h2 {
        font-size: 40px;
    }

    .product-heading img {
        margin: 0 15px;
        max-width: 80px;
    }

    .product-item {
        max-width: 400px;
    }

    .return-btn {
        bottom: 15px;
        padding: 3px 10px 3px 25px; 
        position: fixed;
        right: 20px;
    }

    .return-btn::before {
        height: 20px;
        width: 20px;
    }
}

@media screen and (max-width: 1030px) and (min-width: 641px) {
    .return-btn {
        bottom: 30px;
        right: 10%;
    }
}

@media screen and (min-width: 1200px) {
    .return-btn {
        right: 15%;
        top: 4%;;
    }
}

@media screen and (min-width: 1031px) and (max-width: 1199px){
    .return-btn {
        right: 15%;
        top: 30px;
    }
}

/** Product description content pages **/

.content-container {
    display: none;
    margin: 30px auto;
}

.content-heading {
    border-bottom: #E73316 10px solid;
    text-align: center;
}

.content-jap-ttl {
    font-size: 40px;
    margin-bottom: 15px;
}

.content-en-ttl {
    color: #E73316;
    font-family: 'Russo One', sans-serif;
    font-size: 24px;
    font-weight: 700;
}

.content-description {
    font-size: 24px;
    font-weight: bold;
}

.content-image {
    text-align: center;
}

.content-image img {
    max-width: 600px;
    width: 100%;
}

.content-image-name {
    font-size: 24px;
    font-weight: bold;
    margin-bottom: 0;
}

.rice {
    font-size: 12px;
    margin: 0;
}

.content-main h4 {
    font-size: 24px;
    font-weight: bold;
    margin-bottom: 10px;
}


table.GeneratedTable {
  background-color: #ffffff;
  border-collapse: collapse;
  border-color: #131212;
  border-style: solid;
  border-width: 2px;
  color: #000000;
  margin: 5px;
  width: 100%;
}

table.GeneratedTable td, table.GeneratedTable th {
  border-color: #292929;
  border-style: solid;
  border-width: 2px;
  padding: 3px 10px;
}

table.GeneratedTable thead {
  background-color: #fcff65;
  color: #050505;
}

.td-color {
  background-color: #fcff65;
  color: #000000;
}

@media screen and (max-width: 1199px) {
    .content-container {
        margin: 0 auto;
        max-width: 768px;
    }

    .content-jap-ttl {
        margin-top: 5px;
    }
}

@media screen and (max-width: 768px) {
    .content-container {
        margin: 0 auto;
        max-width: 550px;
    }
}

@media screen and (max-width: 650px) {
    .content-main {
        overflow: scroll;
    }
    .content-jap-ttl {
        font-size: 30px;
    }
    .content-description {
        font-size: 20px;
    }

    h4 {
        font-size: 20px;
    }

    .content-en-ttl {
        margin: 0;
    }

    table.GeneratedTable {
        width: 95%;
    }
}
